import numpy as np
import matplotlib.pyplot as plt

# Leemos los datos de entrada
X = np.loadtxt( "datos.txt" )

fig, ax = plt.subplots( )

ax.scatter( X[:,0], X[:,1] )

# El modelo ajustado:
a1 = -0.28447615
a0 = 0.8545219824211114


y = a1*X[:,0] + a0

# La grafica del modelo
ax.plot( X[:,0], y )

D = np.loadtxt( "entrena.txt" )
ax.scatter( D[:,0], D[:,1] )


plt.show( )


